Subject: Pcase examples in the Elisp manual requires deprecated alias.

From: Takesi Ayanokoji <[email-masked]>
Date: Fri, 19 Jun 2020 15:49:37 +0900

Hi,

In pcase macro examples in the Elisp manual, the examples use 'evenp'
function as pred, but 'evenp' requires alias defined in deprecated "cl.el".

http://git.savannah.gnu.org/cgit/emacs.git/tree/doc/lispref/control.texi#n960

>>> log
$ emacs -Q --batch --eval '(evenp 42)'                     Symbol’s
function definition is void: evenp
$ emacs -Q --batch --eval "(and (require 'cl) (evenp 42))" Package cl is
deprecated

Thanks,